Subject: bug#25408: Remove Decorations Around Emacs Frame (Windows OS)

From: martin rudalics <[email-masked]>
Date: Thu, 13 Apr 2017 13:56:23 +0200

> I’ve worked it out: the toolbar is considered a ‘decoration’ by Cocoa,
 > so it is automatically removed when I change a frame to undecorated.
 > However, when I create a new undecorated frame the frame redrawing
 > code waits for the toolbar to be drawn, which will never happen.
 >
 > I think this gives me two options:
 >
 >    1. Get Emacs to disable the toolbar when switching to undecorated
 >       frames.
 >
 >    2. Use a different method of removing the titlebar when the toolbar
 >       is enabled than when the toolbar is disabled. This option will
 >       only work in macOS 10.11 and above.
 >
 > Option 1 seems preferable to me, although we could add option 2 later.

Agreed.  What happens in an undecorated frame with `tool-bar-mode'
turned off when you turn on `tool-bar-mode'?

 > I don’t know enough about NS to be able to answer this. I’ll give it a
 > go and see what happens.

Fine.

Thanks, martin